summaryrefslogtreecommitdiff
path: root/tests/misc/su-fail
diff options
context:
space:
mode:
authorEric Blake <ebb9@byu.net>2009-10-23 11:01:25 -0600
committerEric Blake <ebb9@byu.net>2009-10-23 16:32:26 -0600
commit30e4b6e84b7e478121a645515ce891d29cc75105 (patch)
tree57e06495031b200089de106fbf28ac611554eb4f /tests/misc/su-fail
parent2122247acae6672e2dcfba095dc84cf84bc8ef41 (diff)
downloadcoreutils-30e4b6e84b7e478121a645515ce891d29cc75105.tar.xz
tests: test recent status changes
* tests/misc/nice: Enhance test. * tests/misc/chroot-fail: New test. * tests/misc/env: Likewise. * tests/misc/nice-fail: Likewise. * tests/misc/su-fail: Likewise. * tests/Makefile.am (TESTS): Run new tests.
Diffstat (limited to 'tests/misc/su-fail')
-rwxr-xr-xtests/misc/su-fail33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/misc/su-fail b/tests/misc/su-fail
new file mode 100755
index 000000000..bba7d1f01
--- /dev/null
+++ b/tests/misc/su-fail
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Test su failure cases
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. $srcdir/test-lib.sh
+require_built_ su
+
+if test "$VERBOSE" = yes; then
+ set -x
+ su --version
+fi
+
+# Very little that we can test without a root password
+su --- / true # unknown option
+test $? = 125 || fail=1
+su no_such_user
+test $? = 125 || fail=1
+
+Exit $fail